Associate User

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/user
API call form
Examples

Users are connected to many resources

Account

This is a special case similar to many entities that are linked to user. The association to the creating user is automatically added when a new account is created.

Alert

The association to the user is created automatically when an alert is made, this association cannot be created manually. The alert will be associated with the user making the request.

Authorization

When associating authorizations there are two things to keep in mind. First is that authorizations are immutable and thus the 'associate' call cannot be called directly. Secondly, the link between authorizations and users is implicit, while you can associate in the 'create' action as well, this is not possible for users. Authorizations are associated automatically. to the user who created them, you will never call the 'associate' call directly and cannot associate them to someone else than the creator.

Country

Users can be associated to countries. This simply informs the platform on the country of residence of the user. Countries can also be associated to organizations which serve as a default for the users of that organization. Just like locale, a country associated with user directly will take priority.

Dashboard

A user can be linked to a dashboard to give him access to that dashboard. To start associating, note that a dashboard is a subclass of securable so we use securable in the calls. The association has flag properties to define what kind of access the user will receive. In order to start associating dashboards with users, you already need to be resource owner of the dashboard. That means that you either created the dashboard or received access from someone that associated you with the dashboard using the flagOwn = true property. That way it is possible to set multiple owners for a dashboard.

Dataset

A user can be linked to a securable to give him access to that dataset. To start associating, note that a dataset is a subclass of securable so we use securable in the calls. The association has flag properties to define what kind of access the user will receive. In order to start associating dashboards with users, you already need to be resource owner. That means that you either created the dashboard or received access from someone that associated you with the dashboard using the flagOwn = true property. That way it is possible to set multiple owners for a dataset. In addition to setting ownership properties, you can supply filters when associating a dataset to a user. When a user opens or uses the dataset, these filters will be applied. The syntax is identical to creating an authorization with filters.

Group

Groups can be used to give a group of users access to securables (dashboards or datasets). When associating a user with a group there are flags available that describe the kind of relation. Adding a user in a group without setting any flags will not have any effect. Only the owner of a group can add members to the group. The user who created the group automatically becomes an owner of the group.

Integration

Sharing an Integration with a user can be done by associating the Integration with that user.

Note that you can only share Integrations with users with the "owner" role in your Luzmo organization, and each user should also have "Owner" access to all Securables (i.e. dashboards and datasets) that are associated with the Integration in order to properly maintain it!

Locale

Set the default language (locale) of the user. Datasets and dashboards will initially open with this selected language. The locale of the user needs to be changed by the entity owner. If you need to set the locale manually for each user you can use the login token when you created them to fetch an API token and set the locale for him.

For embedded dashboards, charts and chat, don't associate a locale with the bootstrapped user. Set the language on the component instead. Use the language property on the dashboard component , the locale option on the chart component , or the customization options of the chat component.

Organization

The link between Organizations and Users is a special case: you can't add users to an organization once the users are made. If you use an owner's API token to create a user, the association between the organization and user will be made implicitly (i.e. the only way to add users to an organization is on creation time). If no API token is provided, the user will be added to a new organization.

To change the role of an existing user in your main organization, you need to use the API key-token pair from an organization owner, and set the desired flag(s) to true on the user-organization association.

Plugin

This is a special case similar to many entities that are linked to user. The association to the creating user is automatically added when a plugin is created, this association cannot be created manually. The user that created the schedule is the owner of the Plugin and the only one who can manipulate the plugin.

Schedule

This is a special case similar to many entities that are linked to user. The association to the creating user is created automatically when a schedule is made, this association cannot be created manually. The user that created the schedule, along with other users with at least modifying rights to the securable, can get, delete, update, associate or dissociate a schedule.

Share

This is a special case similar to many entities that are linked to user. When creating a private link to a dashboard, the creating user is automatically linked to the Share. Note that the code on the right only creates a link which is not yet linked to a dashboard.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name STRING

The full name of the user.

username STRING

The username that was specified when requesting an Authorization token.

email EMAIL

E-mail address of the user.

city STRING

Residence city of the user.

theme STRING

The theme of the user interface.

flags ARRAY[STRING]

Feature flags enabled for the user.

value STRING
role STRING

Role of the user within Luzmo. Either 'viewer', 'member', 'admin' or 'owner'. Defaults to 'member' if not specified. If a suborganization is specified, an 'owner' and 'admin' roles are not allowed! Viewer role can view dashboards. Editor role (i.e. 'member') can create and adapt dashboards and share these to other users. Admin role can view, edit, share and delete all organization and sub-organization securables. Owner role can add members and set their role, view and adapt plan and billing information, view and adapt the legal & compliance information, create Integrations, create and save organization themes, create and adapt dashboards and share these to other users.

suborganization STRING

The name of the suborganization you want this user to join (this ensures that users from a suborganization cannot see members of your organization or other suborganizations). If no suborganization is not defined, the user will be added to your organization in case you've used an API token and you're the owner of the organization.

country_id STRING

The country ID of the user (for example, 'BE' or 'FR').

locale_id STRING

The default language in which the dashboards are displayed. It can be changed from the dashboard view.

Default value:en
timezone_id STRING

The timezone of the user (for example: Europe/Brussels or America/New_York).

feature_overrides ARRAY[STRING]

Enable/disable certain features.

value STRING
account_overrides OBJECT

Used to dynamically override one or more data connections (to a Plugin or database, see differences below). You can use this to dynamically route data requests (e.g. to a single-tenant database , schema, tables, etc.). All overrides are optional -- if not specified, the value as configured on the original Connection will be used instead.

Please check the Create Authorization examples to see which Connection overrides your data source connection requires.

< plugin_connection_id > OBJECT
< database_connection_id > OBJECT
flag_plan STRING

The plan flag active for the user.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be executed by:
Account Owner
User Owner
Can be associated to:
Securables
Groups
Collections
Shareables
Organizations
Integrations
Locale
Country
Thumbnails
Account
Alert
Authorization
Plugin
Schedule
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "code": 200
}